### Enumeration

# GdkPaintableFlags

#### Declaration

    flags Gdk.PaintableFlags

#### Description [src]

Flags about a paintable object.

Implementations use these for optimizations such as caching.

#### Members

`GDK_PAINTABLE_STATIC_SIZE`

  The size is immutable. The `GdkPaintable::invalidate-size` signal will never be emitted.

  - Value: `1`
  - Nickname: `size`
  - Available since: 4.0
`GDK_PAINTABLE_STATIC_CONTENTS`

  The content is immutable. The `GdkPaintable::invalidate-contents` signal will never be emitted.

  - Value: `2`
  - Nickname: `contents`
  - Available since: 4.0